com.tibbo.aggregate.common.expression.function.string

## Class CharacterFunction

- java.lang.Object
- - com.tibbo.aggregate.common.expression.function.AbstractFunction
  - - com.tibbo.aggregate.common.expression.function.JavaMethodFunction
    - - com.tibbo.aggregate.common.expression.function.string.CharacterFunction

- All Implemented Interfaces:
    Function

      public class CharacterFunction
      extends JavaMethodFunction

- - ### Field Summary

    - ### Fields inherited from interface com.tibbo.aggregate.common.expression.Function

      `ABSOLUTE, EXPRESSION_EDITOR_OPTIONS, GROUP_COLOR_PROCESSING, GROUP_CONTEXT_RELATED, GROUP_DATA_BLOCK_PROCESSING, GROUP_DATA_TABLE_PROCESSING, GROUP_DATE_TIME_PROCESSING, GROUP_MATH, GROUP_NUMBER_PROCESSING, GROUP_OTHER, GROUP_STRING_PROCESSING, GROUP_SYSTEM, GROUP_TYPE_CONVERSION, HAS_RESOLVER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CharacterFunction(java.lang.String method)`
    `CharacterFunction(java.lang.String method, java.lang.String description)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.Object` | `convertParameter(int i, java.lang.Object value)`

    - ### Methods inherited from class com.tibbo.aggregate.common.expression.function.JavaMethodFunction

      `execute`

    - ### Methods inherited from class com.tibbo.aggregate.common.expression.function.AbstractFunction

      `checkAndGetNumericTypeField, checkNumericTypeField, checkParameters, checkParameterType, executeAttributed, executeTasks, getCategory, getDescription, getName, getParametersFootprint, getReturnValue, resolveContext, resolveContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CharacterFunction

          public CharacterFunction(java.lang.String method)

    - #### CharacterFunction

          public CharacterFunction(java.lang.String method,
                                   java.lang.String description)

  - ### Method Detail

    - #### convertParameter

          protected java.lang.Object convertParameter(int i,
                                                      java.lang.Object value)

      Overrides:
        `convertParameter` in class `JavaMethodFunction`